# GetOfflineInformation

### Description

Get the time a client has been offline offline.&#x20;

```csharp
bool GetOfflineInformation(out double period, out DateTime startTime)
```

### Parameters

<table><thead><tr><th width="188.33333333333326">Parameter</th><th align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td>period</td><td align="center">double</td><td>the period in minutes that the client has been offline. </td></tr><tr><td>startTime</td><td align="center">DateTime</td><td>The start time when the client went offline</td></tr></tbody></table>

### Returns

| Type    | Description                                         |
| ------- | --------------------------------------------------- |
| Boolean | true if the information was successfully retrieved. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmcloudfloatinglicensehelper/methods/getofflineinformation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
